public class Size implements Comparable<Size> {
    private int max = 240;
    private int min = 20;
    private int size;

    Size() {
    }

    Size(int size) {
        setSize(size);
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        if (validateSize(size)) {
            this.size = size;
        } else {
            throw new IllegalArgumentException("Size must be between " + this.min + " and " + this.max);
        }
    }

    private boolean validateSize(int size) {
        return (size >= min && size <= max);
    }

    @Override
    public int compareTo(Size size) {
        int distance = size.getSize() - this.getSize();
        if (distance >= 0)
            return distance;
        else
            return -distance;

    }
}
